# Uses of Class
com.logicaldoc.core.searchengine.folder.FolderCriterion

Packages that use FolderCriterion
Package
Description
com.logicaldoc.core.searchengine.folder

## Uses of FolderCriterion in com.logicaldoc.core.searchengine.folder

Methods in com.logicaldoc.core.searchengine.folder that return types with arguments of type FolderCriterion
Modifier and Type
Method
Description
`List<FolderCriterion>`
FolderSearchOptions.`getCriteria()`
`List<FolderCriterion>`
FolderSearchOptions.`getNotEmptyCriteria()`
Method parameters in com.logicaldoc.core.searchengine.folder with type arguments of type FolderCriterion
Modifier and Type
Method
Description
`void`
FolderSearchOptions.`setCriteria(List<FolderCriterion> criteria)`